function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { useContext } from 'react';
import { VmTable } from "../../../_components";
import { BasicService } from "../../api";
import { CcUnitContext } from "../../index";
import { jsx as _jsx } from "react/jsx-runtime";
var CollectRecord = function CollectRecord(_ref) {
  var id = _ref.id,
    startTime = _ref.startTime,
    endTime = _ref.endTime,
    garbageType = _ref.garbageType;
  var _useContext = useContext(CcUnitContext),
    openRestaurant = _useContext.openRestaurant,
    openCar = _useContext.openCar;
  var tableProps = BasicService.useCollectList({
    startTime: startTime,
    endTime: endTime,
    id: id,
    garbageType: garbageType
  });
  var columns = [{
    title: '产生单位',
    dataIndex: 'restaurantName',
    width: 100,
    ellipsis: true,
    render: function render(text, record) {
      return text ? /*#__PURE__*/_jsx("a", {
        onClick: function onClick() {
          return openRestaurant && openRestaurant({
            id: record.restaurantId,
            title: record.restaurantName
          });
        },
        children: text
      }) : '-';
    }
  }, {
    title: '垃圾净重(kg)',
    dataIndex: 'netWeight',
    width: 180,
    align: 'right',
    sorter: true
  }, {
    title: '车牌号',
    dataIndex: 'carCode',
    width: 100,
    ellipsis: true,
    render: function render(text, record) {
      return /*#__PURE__*/_jsx("a", {
        onClick: function onClick() {
          return openCar && openCar({
            id: record.carId,
            title: record.carCode
          });
        },
        children: text
      });
    }
  }];
  return /*#__PURE__*/_jsx(VmTable, _objectSpread(_objectSpread({}, tableProps), {}, {
    columns: columns
  }));
};
export default CollectRecord;